#
# spec file for package rubygem-daemon_controller
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-daemon_controller
Version:        1.2.0
Release:        2.5.1
%define mod_name daemon_controller
%define mod_full_name %{mod_name}-%{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 1
Url:            https://github.com/FooBarWidget/daemon_controller
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        A library for implementing daemon management capabilities
License:        MIT
Group:          Development/Languages/Ruby

%description
A library for robust daemon management.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%package testsuite
Summary:        Test suite for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description testsuite
Test::Unit or RSpec files, useful for developers.

%prep
#gem_unpack
#if you need patches, apply them here and replace the # with a % sign in the surrounding lines
#gem_build

%build

%install
%gem_install -f
mkdir -p %{buildroot}%{_docdir}/%{name}
ln -s %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/LICENSE.txt %buildroot/%{_docdir}/%{name}/LICENSE.txt

%files
%defattr(-,root,root,-)
%{_docdir}/%{name}
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%exclude %{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%files testsuite
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/spec

%changelog
* Tue Jul 30 2013 coolo@suse.com
- updated to version 1.1.5, just packaging updates
* Tue May  7 2013 coolo@suse.com
- updated to version 1.1.4, added debian package
* Fri Apr 12 2013 coolo@suse.com
- updated to version 1.1.2
* Sun Oct 28 2012 coolo@suse.com
- updated to version 1.1.0
* Sun Jul 15 2012 coolo@suse.com
- update to 1.0 - no changelog available
* Sat Feb 11 2012 coolo@suse.com
- small cleanup of spec file
* Fri Jan 21 2011 mrueckert@suse.de
- fix license tag: package is actually under MIT
* Thu Oct 28 2010 mrueckert@suse.de
- initial package of version 0.2.5
